package com.intersys.sample.jms;

import org.apache.activemq.ActiveMQConnectionFactory;
import javax.jms.Session;
import java.lang.Exception;

/**
 * @author M.Mundt, InterSystems, March 2017
 *
 * ActiveMQ-specific adapter, etc. Only InitConnection() needs to be ActiveMQ specific. ActiveMQ can use standard JMS calls for everything else.
 * 
 *
 *****************************************************
 *                 ** N O T I C E **                 *
 *               - TEST/DEMO SOFTWARE -              *
 * This and related items are not supported by       *
 * InterSystems as part of any released product.     *
 * It is supplied by InterSystems as a demo/test     *
 * tool for a specific product and version.          *
 * The user or customer is fully responsible for     *
 * the maintenance of this software after delivery,  *
 * and InterSystems shall bear no responsibility nor *
 * liabilities for errors or misuse of this item.    *
 *                                                   *
 ***************************************************** 
 *
 */

public class ActiveMQWrapper extends Wrapper {	
		
	protected void initConnection() throws Exception {
		LogLine("initConnection()");
		
		// ConnectionString is passed in to the superclass by Ensemble
		// Example connection string:
		// tcp://127.0.0.1:61616,CONSUMER.12345,QUEUE.12345
		String[] SpecAry = ConnectionString.split(",");
		String URL=SpecAry[0];
		String ClientID=SpecAry[1];
		String QueueName=SpecAry[2];
		
		ActiveMQConnectionFactory factory = new ActiveMQConnectionFactory(URL);

		JMSConnection = factory.createConnection();
		JMSConnection.setClientID(ClientID);

		JMSSession = JMSConnection.createSession(false, Session.CLIENT_ACKNOWLEDGE);

		JMSQueue = JMSSession.createQueue(QueueName);
	}
	
}


	
	